> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.alphax.asia/llms.txt.
> For full documentation content, see https://docs.alphax.asia/llms-full.txt.

# Create new order

POST https://public-api.alphax.com/orders
Content-Type: application/json

Reference: https://docs.alphax.asia/api-reference/alpha-x-api/orders/create-order

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: alphax-openapi
  version: 1.0.0
paths:
  /orders:
    post:
      operationId: create-order
      summary: Create new order
      tags:
        - subpackage_orders
      parameters:
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Details of the requested order
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Orders_createOrder_Response_200'
        '422':
          description: Validation errors
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CreateOrderRequestUnprocessableEntityError
      requestBody:
        description: Your order details
        content:
          application/json:
            schema:
              type: object
              properties:
                reference:
                  type: string
                  description: Your unique order reference
                currency:
                  type: string
                  description: Your unique order reference
servers:
  - url: https://public-api.alphax.com
  - url: https://public-api.demo.alphax.asia
components:
  schemas:
    OrderLineItemsItems:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        quantity:
          type: integer
        unitPrice:
          type: number
          format: double
      title: OrderLineItemsItems
    Order:
      type: object
      properties:
        id:
          type: string
        reference:
          type: string
        description:
          type: string
        currency:
          type: string
        paidNotificationUrl:
          type:
            - string
            - 'null'
        dueNotificationUrl:
          type:
            - string
            - 'null'
        paymentLink:
          type: string
        dueAt:
          type:
            - string
            - 'null'
          format: date-time
        paidAt:
          type:
            - string
            - 'null'
          format: date-time
        createdAt:
          type:
            - string
            - 'null'
          format: date-time
        updatedAt:
          type:
            - string
            - 'null'
          format: date-time
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/OrderLineItemsItems'
      title: Order
    Orders_createOrder_Response_200:
      type: object
      properties:
        order:
          $ref: '#/components/schemas/Order'
      title: Orders_createOrder_Response_200
    CreateOrderRequestUnprocessableEntityError:
      type: object
      properties:
        message:
          type: string
      title: CreateOrderRequestUnprocessableEntityError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://public-api.alphax.com/orders"

payload = {
    "reference": "ORDER-123123",
    "currency": "USD"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://public-api.alphax.com/orders';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"reference":"ORDER-123123","currency":"USD"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://public-api.alphax.com/orders"

	payload := strings.NewReader("{\n  \"reference\": \"ORDER-123123\",\n  \"currency\": \"USD\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://public-api.alphax.com/orders")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"reference\": \"ORDER-123123\",\n  \"currency\": \"USD\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://public-api.alphax.com/orders")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"reference\": \"ORDER-123123\",\n  \"currency\": \"USD\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://public-api.alphax.com/orders', [
  'body' => '{
  "reference": "ORDER-123123",
  "currency": "USD"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://public-api.alphax.com/orders");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"reference\": \"ORDER-123123\",\n  \"currency\": \"USD\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "reference": "ORDER-123123",
  "currency": "USD"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://public-api.alphax.com/orders")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```